<?php

lt_include(PLOG_CLASS_PATH.'class/action/admin/adminaction.class.php');
lt_include(PLOG_CLASS_PATH.'class/view/admin/adminplugintemplatedview.class.php');
lt_include(PLOG_CLASS_PATH.'plugins/googleadsense/class/view/plugingoogleadsenseconfigview.class.php');

// updates the plugin configuration
class PluginGoogleAdsenseUpdateConfigAction extends AdminAction
{
    var $_pluginEnabled;
    var $_client;
    var $_contentEnabled;
    var $_contentWidth;
    var $_contentHeight;
    var $_contentSlot;

    var $_searchEnabled;

	function PluginStickyPostsUpdateConfigAction($actionInfo, $request)
	{
		$this->AdminAction($actionInfo, $request);
	}

	function validate()
	{
        $errorMessages = array();
		$this->_pluginEnabled = $this->_request->getValue('pluginEnabled');
        $this->_pluginEnabled = ($this->_pluginEnabled != '');

		$this->_client = $this->_request->getValue('client');
		if ($this->_pluginEnabled && empty($this->_client)) {
            $errorMessages[] = 'googleadsense_error_client';
			$isError = true;
		}

		$this->_contentEnabled = $this->_request->getValue('contentEnabled');
        $this->_contentEnabled = ($this->_contentEnabled != '');
		$this->_contentWidth = $this->_request->getValue('contentWidth');
		$this->_contentHeight = $this->_request->getValue('contentHeight');
		$this->_contentSlot = $this->_request->getValue('contentSlot');




		if (count($errorMessages) > 0) {
            $this->_view = new PluginGoogleAdsenseConfigView($this->_blogInfo);
			$allerror='';
			foreach ($errorMessages as $error) {
				$allerror .= $this->_locale->tr($error).'<br />';
			}
            $this->_view->setErrorMessage($this->_locale->tr($allerror));
            $this->setCommonData();
            return false;
        }

        return true;
    }

	function perform()
	{
        // // update the plugin configurations to blog setting
		$blogSettings = $this->_blogInfo->getSettings();
        $blogSettings->setValue('plugin_googleadsense_enabled', $this->_pluginEnabled);
        $blogSettings->setValue('plugin_googleadsense_client', $this->_client);
        $blogSettings->setValue('plugin_googleadsense_content_enabled', $this->_contentEnabled);
        $blogSettings->setValue('plugin_googleadsense_content_width', $this->_contentWidth);
        $blogSettings->setValue('plugin_googleadsense_content_height', $this->_contentHeight);
        $blogSettings->setValue('plugin_googleadsense_content_slot', $this->_contentSlot);

 

        // save the blogs settings
		$blogs = new Blogs();
        if (!$blogs->updateBlog($this->_blogInfo)) {
            $this->_view = new PluginStickyPostsConfigView($this->_blogInfo);
            $this->_view->setErrorMessage($this->_locale->tr('error_updating_settings'));
            $this->setCommonData();
            return false;
        }

		// if everything went ok...
        $this->_blogInfo->setSettings($blogSettings);
        $this->_session->setValue('blogInfo', $this->_blogInfo);
        $this->saveSession();

		$this->_view = new PluginGoogleAdsenseConfigView($this->_blogInfo);
		$this->_view->setSuccessMessage($this->_locale->tr('googleadsense_settings_saved_ok'));
		$this->setCommonData();

		// clear the cache
		CacheControl::resetBlogCache($this->_blogInfo->getId());

        return true;
	}
}

?>
